## australis monitor hosts

Watch a host maintenance status until it enters one of the desired statuses.

### Synopsis

Provide a list of hosts to monitor for desired statuses. Statuses may be passed using the --statuses
flag with a list of comma separated statuses. Statuses include [NONE, SCHEDULED, DRAINED, DRAINING]

```
australis monitor hosts [flags]
```

### Options

```
  -h, --help                help for hosts
      --interval duration   Interval at which to poll scheduler. (default 5s)
      --statuses strings    List of acceptable statuses for a host to be in. (case-insensitive) [NONE, SCHEDULED, DRAINED, DRAINING] (default [DRAINED])
      --timeout duration    Time after which the monitor will stop polling and throw an error. (default 10m0s)
```

### Options inherited from parent commands

```
  -a, --caCertsPath string      Path where CA certificates can be found.
  -c, --clientCert string       Client certificate to use to connect to Aurora.
  -k, --clientKey string        Client key to use to connect to Aurora.
      --config string           Config file to use. (default "/etc/aurora/australis.yml")
  -l, --logLevel string         Set logging level [panic fatal error warning info debug trace]. (default "info")
  -p, --password string         Password to use for API authentication
  -s, --scheduler_addr string   Aurora Scheduler's address.
  -i, --skipCertVerification    Skip CA certificate hostname verification.
      --toJSON                  Print output in JSON format.
  -u, --username string         Username to use for API authentication
  -z, --zookeeper string        Zookeeper node(s) where Aurora stores information. (comma separated list)
```

### SEE ALSO

* [australis monitor](australis_monitor.md)	 - Watch for a specific state change

###### Auto generated by spf13/cobra on 22-Mar-2019
